#!/usr/bin/env python3
import utils
import os


def setup(interactive=False):
    if os.system('lsb_release -a | grep "18.04"') != 0:
        utils.log('Skipping cockpit setup because OS is not Ubuntu 18.04.')
        return
    cmds = [
        'apt install -y software-properties-common',
        'add-apt-repository universe',
        'apt update',
        'apt install -y cockpit packagekit ifupdown',
        'apt purge --auto-remove -y netplan.io',
        'mkdir -p /etc/NetworkManager/conf.d',
        'touch /etc/NetworkManager/conf.d/10-globally-managed-devices.conf',
    ]
    if os.path.exists('/run/systemd/resolve/resolv.conf'):
        cmds.append('rm /etc/resolv.conf && cp /run/systemd/resolve/resolv.conf /etc/resolv.conf')

    cmds.extend([
        'systemctl disable --now systemd-resolved.service',
        'printf "[main]\ndns=default" > /etc/NetworkManager/conf.d/disable-systemd-resolved.conf',
    ])
    utils.run_commands(cmds)
