# EnvSetup

Script to setup and configure softwares used in our servers.

## Dependencies

* python3

## How to add a software setup

* Add a folder next to "envsetup.py" named using the following pattern: "<number>.<name>".
    The number should not be used by any other setup.

* Add a file named "0_setup.py" or "0_setup.sh" in this folder.

* If the file you use is the python one ("0_setup.py"), you should add a function named setup in it.
    The file will be run with python3.
    For example:
    ```python
    def setup(interactive=True):
        pass
    ```

## Important notes

* All setup actions should be safe to be run multiple times (to allow reconfiguration of the service).
* All the adjustable configurations must be in the "conf.sh" file.

## Test EnvSetup loading

Two fake tasks are used to test that EnvSetup can correctly be loaded.

These tasks can be started with the following commands:

```bash
./envsetup.py -d 201
./envsetup.py -d 202
```
